generic/322: fix bad xfs_io sync_range command
diff mbox series

Message ID 20190819085736.25304-1-agruenba@redhat.com
State New
Headers show
Series
  • generic/322: fix bad xfs_io sync_range command
Related show

Commit Message

Andreas Gruenbacher Aug. 19, 2019, 8:57 a.m. UTC
Add the missing range arguments to the sync_range command in this test:
according to Josef Bacik, the sync_range command is required to make the test
reproduce the critical situation reliably.

Signed-off-by: Andreas Gruenbacher <agruenba@redhat.com>
---
 tests/generic/322 | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Patch
diff mbox series

diff --git a/tests/generic/322 b/tests/generic/322
index 2afd7127..29bfa688 100755
--- a/tests/generic/322
+++ b/tests/generic/322
@@ -65,7 +65,8 @@  _write_after_fsync_rename_test()
 	echo "fsync rename test"
 	_mount_flakey
 	$XFS_IO_PROG -f -c "pwrite 0 1M" -c "fsync" -c "pwrite 2M 1M" \
-		-c "sync_range -b" $SCRATCH_MNT/foo > $seqres.full 2>&1 || _fail "xfs_io failed"
+		-c "sync_range -b 2M 1M" $SCRATCH_MNT/foo \
+		> $seqres.full 2>&1 || _fail "xfs_io failed"
 	mv $SCRATCH_MNT/foo $SCRATCH_MNT/bar
 	$XFS_IO_PROG -c "fsync" $SCRATCH_MNT/bar
 	md5sum $SCRATCH_MNT/bar | _filter_scratch